Name:           perl-RPM2
Version:        1.0
Release:        %mkrel 7
Summary:        Perl bindings for the RPM Package Manager API
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/RPM2/
Source0:        http://www.cpan.org/authors/id/L/LK/LKUNDRAK/RPM2-%{version}.tar.gz
Patch0:         %{name}-1.0-testplan.patch
Patch1:         %{name}-switchofffunctions.patch
BuildRequires:  rpm-devel perl-devel
BuildRequires:  perl(Module::Build)
# Tests
BuildRequires:  perl(Test)
BuildRequires:  perl(POSIX)

%description
The RPM2 module provides an object-oriented interface to querying both the
installed RPM database as well as files on the filesystem, providing Perl
bindings for the RPM Package Manager API.

%prep
%setup -q -n RPM2-%{version}
%apply_patches

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%check
#./Build test verbose=1

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/RPM2*
%{_mandir}/man3/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0-7.mga3
+ Revision: 372184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.0-6.mga3
+ Revision: 332298
- rebuild for new rpm

* Thu Sep 27 2012 shlomif <shlomif> 1.0-5.mga3
+ Revision: 298689
- Updated Group to Development/Perl. New release - mkrel 5

* Thu Jun 14 2012 tv <tv> 1.0-4.mga3
+ Revision: 260500
- use %%apply_patches
- fix build with new rpm-4.10.0
- rebuild for new rpm-4.10.0

* Wed May 30 2012 jquelin <jquelin> 1.0-3.mga3
+ Revision: 251090
- rebuild for perl 5.16

* Wed Dec 28 2011 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 188461
- Rebuild against new rpm

* Fri Oct 07 2011 tv <tv> 1.0-1.mga2
+ Revision: 152853
- BR?\194?\160perl-devel
- imported package perl-RPM2

